"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class BaseError extends Error {
    constructor(message) {
        super(message);
        this.name = 'Exception';
        this.message = message;
        this.stack = (new Error()).stack || '';
    }
    toString() {
        return `${this.name}: ${this.message}`;
    }
}
exports.BaseError = BaseError;
class InputValidationError extends BaseError {
    constructor(message, errors) {
        super(message);
        this.errors = errors;
    }
}
exports.InputValidationError = InputValidationError;
class CommandNotFoundError extends BaseError {
    constructor(message, args) {
        super(message);
        this.args = args;
    }
}
exports.CommandNotFoundError = CommandNotFoundError;
